# This is the configuration file for dosbox-staging (0.75.1).
# Lines starting with a '#' character are comments.

[sdl]
#       fullscreen: Start DOSBox directly in fullscreen.
#                   Press Alt-Enter to switch back to window.
#          display: Number of display to use; values depend on OS and user settings.
#   fullresolution: What resolution to use for fullscreen: 'original', 'desktop'
#                   or a fixed size (e.g. 1024x768).
# windowresolution: Set window size to be used when running in windowed mode:
#                     default:   Select the best option based on your
#                                environment and other settings.
#                     original:  Resize window to the resolution picked by
#                                the emulated program.
#                     resizable: Make the emulator window resizable.
#                                This is an experimental option, works only with
#                                output=opengl and glshader=sharp (or none)
#                     <custom>:  Scale the window content to the indicated
#                                dimensions, in WxH format. For example: 1024x768.
#                                Scaling is not performed for output=surface.
#           output: What video system to use for output.
#                   Possible values: surface, texture, texturenb, texturepp, opengl, openglnb.
# texture_renderer: Choose a renderer driver if output=texture or texturenb.
#                   Use output=auto for an automatic choice.
#                   Possible values: auto, direct3d, direct3d11, opengl, opengles2, software.
#    capture_mouse: Choose a mouse control method:
#                      onclick:        The mouse will be captured after the first
#                                      click inside the window.
#                      onstart:        The mouse is captured immediately on start
#                                      (similar to real DOS).
#                      seamless:       The mouse can move seamlessly in and out of DOSBox
#                                      window and cannot be captured.
#                      nomouse:        The mouse is disabled and hidden without any
#                                      input sent to the game.
#                   Choose how middle-clicks are handled (second parameter):
#                      middlegame:     Middle-clicks are sent to the game
#                                      (Ctrl-F10 uncaptures the mouse).
#                      middlerelease:  Middle-clicks are used to uncapture the mouse
#                                      (not sent to the game). However, middle-clicks
#                                      will be sent to the game in fullscreen or when
#                                      seamless control is set.
#                                      Ctrl-F10 will also uncapture the mouse.
#                   Defaults (if not present or incorrect): seamless middlerelease
#                   Possible values: seamless, onclick, onstart, nomouse.
#      sensitivity: Mouse sensitivity. The optional second parameter specifies vertical sensitivity (e.g. 100,-50).
#      waitonerror: Wait before closing the console if dosbox has an error.
#         priority: Priority levels for dosbox. Second entry behind the comma is for when dosbox is not focused/minimized.
#                   pause is only valid for the second entry.
#                   Possible values: lowest, lower, normal, higher, highest, pause.
#       mapperfile: File used to load/save the key/event mappings from.
#                   Resetmapper only works with the default value.

fullscreen       = true
display          = 0
fullresolution   = desktop
windowresolution = original
output           = opengl
texture_renderer = auto
capture_mouse    = seamless middlerelease
sensitivity      = 100
waitonerror      = true
priority         = higher,normal
mapperfile       = mapper-v2.map

[dosbox]
# language: Select another language file.
#  machine: The type of machine DOSBox tries to emulate.
#           Possible values: hercules, cga, cga_mono, tandy, pcjr, ega, vgaonly, svga_s3, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe.
# captures: Directory where things like wave, midi, screenshot get captured.
#  memsize: Amount of memory DOSBox has in megabytes.
#           This value is best left at its default to avoid problems with some games,
#           though few games might require a higher value.
#           There is generally no speed advantage when raising this value.

language = 
machine  = svga_s3
captures = capture
memsize  = 16

[render]
# frameskip: How many frames DOSBox skips before drawing one.
#    aspect: Scales the vertical resolution to produce a 4:3 display aspect
#            ratio, matching that of the original standard-definition monitors
#            for which the majority of DOS games were designed. This setting
#            only affects video modes that use non-square pixels, such as
#            320x200 or 640x400; where as square-pixel modes, such as 640x480
#            and 800x600, will be displayed as-is.
#    scaler: Scaler used to enlarge/enhance low resolution modes.
#            If 'forced' is appended, then the scaler will be used even if
#            the result might not be desired.
#            Note that some scalers may use black borders to fit the image
#            within your configured display resolution. If this is
#            undesirable, try either a different scaler or enabling
#            fullresolution output.
#            Possible values: none, normal2x, normal3x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x.
#  glshader: Path to GLSL shader source to use with OpenGL output ("none" to disable).
#            Can be either an absolute path, a file in the "glshaders" subdirectory
#            of the DOSBox configuration directory, or one of the built-in shaders:
#            advinterp2x, advinterp3x, advmame2x, advmame3x, rgb2x, rgb3x, scan2x,
#            scan3x, tv2x, tv3x, sharp.

frameskip = 0
aspect    = true
scaler    = none
glshader  = sharp

[cpu]
#      core: CPU Core used in emulation. auto will switch to dynamic if available and
#            appropriate.
#            Possible values: auto, dynamic, normal, simple.
#   cputype: CPU Type used in emulation. auto is the fastest choice.
#            Possible values: auto, 386, 386_slow, 486_slow, pentium_slow, 386_prefetch.
#    cycles: Amount of instructions DOSBox tries to emulate each millisecond.
#            Setting this value too high results in sound dropouts and lags.
#            Cycles can be set in 3 ways:
#              'auto'          tries to guess what a game needs.
#                              It usually works, but can fail for certain games.
#              'fixed #number' will set a fixed amount of cycles. This is what you usually
#                              need if 'auto' fails (Example: fixed 4000).
#              'max'           will allocate as much cycles as your computer is able to
#                              handle.
#            Possible values: auto, fixed, max.
#   cycleup: Amount of cycles to decrease/increase with keycombos.(CTRL-F11/CTRL-F12)
# cycledown: Setting it lower than 100 will be a percentage.

core      = auto
cputype   = auto
cycles    = 50000
cycleup   = 10
cycledown = 20

[mixer]
#   nosound: Enable silent mode, sound is still emulated though.
#      rate: Mixer sample rate, setting any device's rate higher than this will probably lower their sound quality.
#            Possible values: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
# blocksize: Mixer block size, larger blocks might help sound stuttering but sound will also be more lagged.
#            Possible values: 1024, 2048, 4096, 8192, 512, 256.
# prebuffer: How many milliseconds of data to keep on top of the blocksize.

nosound   = false
rate      = 44100
blocksize = 1024
prebuffer = 25

[midi]
#     mpu401: Type of MPU-401 to emulate.
#             Possible values: intelligent, uart, none.
# mididevice: Device that will receive the MIDI data from MPU-401.
#             Possible values: default, win32, alsa, oss, coreaudio, coremidi, none.
# midiconfig: Special configuration options for the device driver. This is usually the id or part of the name of the device you want to use
#             (find the id/name with mixer/listmidi).
#             Or in the case of coreaudio, you can specify a soundfont here.
#             When using a Roland MT-32 rev. 0 as midi output device, some games may require a delay in order to prevent 'buffer overflow' issues.
#             In that case, add 'delaysysex', for example: midiconfig=2 delaysysex
#             See the README/Manual for more details.

mpu401     = intelligent
mididevice = default
midiconfig = 

[sblaster]
#  sbtype: Type of Sound Blaster to emulate. 'gb' is Game Blaster.
#          Possible values: sb1, sb2, sbpro1, sbpro2, sb16, gb, none.
#  sbbase: The IO address of the Sound Blaster.
#          Possible values: 220, 240, 260, 280, 2a0, 2c0, 2e0, 300.
#     irq: The IRQ number of the Sound Blaster.
#          Possible values: 7, 5, 3, 9, 10, 11, 12.
#     dma: The DMA number of the Sound Blaster.
#          Possible values: 1, 5, 0, 3, 6, 7.
#    hdma: The High DMA number of the Sound Blaster.
#          Possible values: 1, 5, 0, 3, 6, 7.
# sbmixer: Allow the Sound Blaster mixer to modify the DOSBox mixer.
# oplmode: Type of OPL emulation. On 'auto' the mode is determined by 'sbtype'.
#          All OPL modes are AdLib-compatible, except for 'cms'.
#          Possible values: auto, cms, opl2, dualopl2, opl3, opl3gold, none.
#  oplemu: Provider for the OPL emulation. 'compat' provides better quality,
#          'nuked' is the default and most accurate (but the most CPU-intensive).
#          See sblaster.oplrate as well.
#          Possible values: default, compat, fast, mame, nuked.
# oplrate: Sample rate of OPL music emulation. Use 49716 for the highest
#          quality (set the mixer.rate accordingly).
#          Possible values: 44100, 49716, 48000, 32000, 22050, 16000, 11025, 8000.

sbtype  = sb16
sbbase  = 220
irq     = 7
dma     = 1
hdma    = 5
sbmixer = true
oplmode = auto
oplemu  = default
oplrate = 44100

[gus]
#      gus: Enable the Gravis UltraSound emulation.
#  gusrate: The playback frequency of the Gravis UltraSound.
#           Possible values: 44100, 22050, 11025.
#  gusbase: The IO base address of the Gravis UltraSound.
#           Possible values: 240, 220, 260, 280, 2a0, 2c0, 2e0, 300.
#   gusirq: The IRQ number of the Gravis UltraSound.
#           Possible values: 5, 3, 7, 9, 10, 11, 12.
#   gusdma: The DMA channel of the Gravis UltraSound.
#           Possible values: 3, 0, 1, 5, 6, 7.
# ultradir: Path to UltraSound directory. In this directory
#           there should be a MIDI directory that contains
#           the patch files for GUS playback. Patch sets used
#           with Timidity should work fine.

gus      = false
gusrate  = 44100
gusbase  = 240
gusirq   = 5
gusdma   = 3
ultradir = C:\ULTRASND

[speaker]
# pcspeaker: Enable PC-Speaker emulation.
#    pcrate: Sample rate of the PC-Speaker sound generation.
#            Possible values: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#     tandy: Enable Tandy Sound System emulation. For 'auto', emulation is present only if machine is set to 'tandy'.
#            Possible values: auto, on, off.
# tandyrate: Sample rate of the Tandy 3-Voice generation.
#            Possible values: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#    disney: Enable Disney Sound Source emulation. (Covox Voice Master and Speech Thing compatible).

pcspeaker = true
pcrate    = 44100
tandy     = auto
tandyrate = 44100
disney    = true

[joystick]
#  joysticktype: Type of joystick to emulate: auto (default), none,
#                2axis (supports two joysticks),
#                4axis (supports one joystick, first joystick used),
#                4axis_2 (supports one joystick, second joystick used),
#                fcs (Thrustmaster), ch (CH Flightstick).
#                none disables joystick emulation.
#                auto chooses emulation depending on real joystick(s).
#                (Remember to reset dosbox's mapperfile if you saved it earlier)
#                Possible values: auto, 2axis, 4axis, 4axis_2, fcs, ch, none.
#         timed: enable timed intervals for axis. Experiment with this option, if your joystick drifts (away).
#      autofire: continuously fires as long as you keep the button pressed.
#        swap34: swap the 3rd and the 4th axis. Can be useful for certain joysticks.
#    buttonwrap: enable button wrapping at the number of emulated buttons.
# circularinput: enable translation of circular input to square output.
#                Try enabling this if your left analog stick can only move in a circle.
#      deadzone: the percentage of motion to ignore. 100 turns the stick into a digital one.

joysticktype  = auto
timed         = true
autofire      = false
swap34        = false
buttonwrap    = false
circularinput = false
deadzone      = 10

[serial]
#       serial1: set type of device connected to com port.
#                Can be disabled, dummy, modem, nullmodem, directserial.
#                Additional parameters must be in the same line in the form of
#                parameter:value. Parameter for all types is irq (optional).
#                for directserial: realport (required), rxdelay (optional).
#                                 (realport:COM1 realport:ttyS0).
#                for modem: listenport (optional).
#                for nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                               transparent, port, inhsocket (all optional).
#                Example: serial1=modem listenport:5000
#                Possible values: dummy, disabled, modem, nullmodem, directserial.
#       serial2: see serial1
#                Possible values: dummy, disabled, modem, nullmodem, directserial.
#       serial3: see serial1
#                Possible values: dummy, disabled, modem, nullmodem, directserial.
#       serial4: see serial1
#                Possible values: dummy, disabled, modem, nullmodem, directserial.
# phonebookfile: File used to map fake phone numbers to addresses.

serial1       = dummy
serial2       = dummy
serial3       = disabled
serial4       = disabled
phonebookfile = phonebook-0.75.1.txt

[dos]
#            xms: Enable XMS support.
#            ems: Enable EMS support. The default (=true) provides the best
#                 compatibility but certain applications may run better with
#                 other choices, or require EMS support to be disabled (=false)
#                 to work at all.
#                 Possible values: true, emsboard, emm386, false.
#            umb: Enable UMB support.
# keyboardlayout: Language code of the keyboard layout (or none).

xms            = true
ems            = true
umb            = true
keyboardlayout = auto

[ipx]
# ipx: Enable ipx over UDP/IP emulation.

ipx = false

[autoexec]
# SMETISTE HER | https://smetisteher.cz
mount c ..\c
imgmount D ..\CD\Prokleti.iso -t iso
c:
cls
IF EXIST C:\PROKLETI\PROKLETI.CFG GOTO RUNGAME
:INSTALL
D:
INSTALL.EXE
:RUNGAME
C:
CD C:\PROKLETI
PROKLETI
:EXIT
exit